import request from '@/utils/request'
// const baseURL = process.env.VUE_APP_BASE_API
const baseURL = ''
// 登录
export function login(data) {
  return request({
    url: `${baseURL}/cc/account/loginByAccountPwd`,
    method: 'post',
    data
  })
}

// 登出
export function logout(data) {
  return request({
    url: `${baseURL}/cc/account/logout`,
    method: 'post',
    data
  })
}

// 获取用户菜单列表
export function getMenuList() {
  return request({
    url: `${baseURL}/cc/index/userMenuTree`,
    method: 'get'
  })
}

// 获取用户按键列表
export function getPermissionList() {
  return request({
    url: `${baseURL}/cc/index/userMenuCodeList`,
    method: 'get'
  })
}

// Token校验有效性，在request.js有用到
export function checkToken() {
  return request({
    url: `${baseURL}/cc/account/checkToken`,
    method: 'get'
  })
}

// 获取帐号登录信息
export function getUserInfo() {
  return request({
    url: `${baseURL}/cc/account/getUserLoginInfo`,
    method: 'get'
  })
}
